Package com.io7m.idstore.server.service.configuration.jaxb

# Class PasswordExpiration

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.PasswordExpiration

public class PasswordExpiration extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="UserPasswordValidityDuration" type="{http://www.w3.org/2001/XMLSchema}duration" />
           <attribute name="AdminPasswordValidityDuration" type="{http://www.w3.org/2001/XMLSchema}duration" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Duration`
  `adminPasswordValidityDuration`
  `protected Duration`
  `userPasswordValidityDuration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasswordExpiration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getAdminPasswordValidityDuration()`
  Gets the value of the adminPasswordValidityDuration property.
  `Duration`
  `getUserPasswordValidityDuration()`
  Gets the value of the userPasswordValidityDuration property.
  `void`
  `setAdminPasswordValidityDuration(Duration value)`
  Sets the value of the adminPasswordValidityDuration property.
  `void`
  `setUserPasswordValidityDuration(Duration value)`
  Sets the value of the userPasswordValidityDuration property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userPasswordValidityDuration

    protected Duration userPasswordValidityDuration

  - ### adminPasswordValidityDuration

    protected Duration adminPasswordValidityDuration

- ## Constructor Details

  - ### PasswordExpiration

    public PasswordExpiration()

- ## Method Details

  - ### getUserPasswordValidityDuration

    public Duration getUserPasswordValidityDuration()
    Gets the value of the userPasswordValidityDuration property.
    Returns:
      possible object is `Duration`

  - ### setUserPasswordValidityDuration

    public void setUserPasswordValidityDuration(Duration value)
    Sets the value of the userPasswordValidityDuration property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getAdminPasswordValidityDuration

    public Duration getAdminPasswordValidityDuration()
    Gets the value of the adminPasswordValidityDuration property.
    Returns:
      possible object is `Duration`

  - ### setAdminPasswordValidityDuration

    public void setAdminPasswordValidityDuration(Duration value)
    Sets the value of the adminPasswordValidityDuration property.
    Parameters:
      `value` - allowed object is `Duration`